Loading...
Searching...
No Matches
casacore::MSProcessorColumns Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSProcessorColumns.h>`

## Public Member Functions

| MSProcessorColumns (const MSProcessor &msProcessor)
| Create a columns object that accesses the data in the specified Table.
| ~MSProcessorColumns ()
| The destructor does nothing special.
ScalarColumn< Bool > & | flagRow ()
| Access to required columns.
ScalarColumn< Int > & | modeId ()
ScalarColumn< String > & | type ()
ScalarColumn< Int > & | typeId ()
ScalarColumn< String > & | subType ()
ScalarColumn< Int > & | passId ()
| Access to optional columns.
const ScalarColumn< Bool > & | flagRow () const
| Const access to required columns.
const ScalarColumn< Int > & | modeId () const
const ScalarColumn< String > & | type () const
const ScalarColumn< Int > & | typeId () const
const ScalarColumn< String > & | subType () const
const ScalarColumn< Int > & | passId () const
| Const access to optional columns.
rownr_t | nrow () const
| Convenience function that returns the number of rows in any of the columns.

## Protected Member Functions

| MSProcessorColumns ()
void | attach (const MSProcessor &msProcessor)

## Private Member Functions

| MSProcessorColumns (const MSProcessorColumns &)
MSProcessorColumns & | operator= (const MSProcessorColumns &)
void | attachOptionalCols (const MSProcessor &msProcessor)

## Private Attributes

ScalarColumn< Bool > | flagRow_p
ScalarColumn< Int > | modeId_p
ScalarColumn< String > | type_p
ScalarColumn< Int > | typeId_p
ScalarColumn< String > | subType_p
ScalarColumn< Int > | passId_p

## Detailed Description

A class to provide easy access to MSProcessor columns

### Intended use:

Public interface

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1997/02/01

### Prerequisite

- MSProcessor
- ScalarColumn

### Etymology

MSProcessorColumns stands for MeasurementSet Processor Table columns.

### Synopsis

This class provides access to the columns in the MSProcessor Table, it does the declaration of all the Scalar and ArrayColumns with the correct types, so the application programmer doesn't have to worry about getting those right. There is an access function for every predefined column. Access to non-predefined columns will still have to be done with explicit declarations. See MSColumns for an example.

### Motivation

See MSColumns for the motivation.

Definition at line 69 of file MSProcessorColumns.h.

## Constructor & Destructor Documentation

## MSProcessorColumns() [1/3]

casacore::MSProcessorColumns::MSProcessorColumns | ( | const MSProcessor & | msProcessor | ) |

Create a columns object that accesses the data in the specified Table.

Referenced by MSProcessorColumns(), and operator=().

## ~MSProcessorColumns()

casacore::MSProcessorColumns::~MSProcessorColumns | ( |  | ) |

The destructor does nothing special.

## MSProcessorColumns() [2/3]

casacore::MSProcessorColumns::MSProcessorColumns | ( |  | ) |

protected

## MSProcessorColumns() [3/3]

casacore::MSProcessorColumns::MSProcessorColumns | ( | const MSProcessorColumns & |  | ) |

private

References MSProcessorColumns().

## Member Function Documentation

## attach()

void casacore::MSProcessorColumns::attach | ( | const MSProcessor & | msProcessor | ) |

protected

## attachOptionalCols()

void casacore::MSProcessorColumns::attachOptionalCols | ( | const MSProcessor & | msProcessor | ) |

private

## flagRow() [1/2]

ScalarColumn< Bool > & casacore::MSProcessorColumns::flagRow | ( |  | ) |

inline

Access to required columns.

Definition at line 80 of file MSProcessorColumns.h.

References flagRow_p.

## flagRow() [2/2]

const ScalarColumn< Bool > & casacore::MSProcessorColumns::flagRow | ( |  | ) | const

inline

Const access to required columns.

Definition at line 94 of file MSProcessorColumns.h.

References flagRow_p.

## modeId() [1/2]

ScalarColumn< Int > & casacore::MSProcessorColumns::modeId | ( |  | ) |

inline

Definition at line 81 of file MSProcessorColumns.h.

References modeId_p.

## modeId() [2/2]

const ScalarColumn< Int > & casacore::MSProcessorColumns::modeId | ( |  | ) | const

inline

Definition at line 95 of file MSProcessorColumns.h.

References modeId_p.

## nrow()

rownr_t casacore::MSProcessorColumns::nrow | ( |  | ) | const

inline

Convenience function that returns the number of rows in any of the columns.

Definition at line 107 of file MSProcessorColumns.h.

References flagRow_p.

## operator=()

MSProcessorColumns & casacore::MSProcessorColumns::operator= | ( | const MSProcessorColumns & |  | ) |

private

References MSProcessorColumns().

## passId() [1/2]

ScalarColumn< Int > & casacore::MSProcessorColumns::passId | ( |  | ) |

inline

Access to optional columns.

Definition at line 89 of file MSProcessorColumns.h.

References passId_p.

## passId() [2/2]

const ScalarColumn< Int > & casacore::MSProcessorColumns::passId | ( |  | ) | const

inline

Const access to optional columns.

Definition at line 103 of file MSProcessorColumns.h.

References passId_p.

## subType() [1/2]

ScalarColumn< String > & casacore::MSProcessorColumns::subType | ( |  | ) |

inline

Definition at line 84 of file MSProcessorColumns.h.

References subType_p.

## subType() [2/2]

const ScalarColumn< String > & casacore::MSProcessorColumns::subType | ( |  | ) | const

inline

Definition at line 98 of file MSProcessorColumns.h.

References subType_p.

## type() [1/2]

ScalarColumn< String > & casacore::MSProcessorColumns::type | ( |  | ) |

inline

Definition at line 82 of file MSProcessorColumns.h.

References type_p.

## type() [2/2]

const ScalarColumn< String > & casacore::MSProcessorColumns::type | ( |  | ) | const

inline

Definition at line 96 of file MSProcessorColumns.h.

References type_p.

## typeId() [1/2]

ScalarColumn< Int > & casacore::MSProcessorColumns::typeId | ( |  | ) |

inline

Definition at line 83 of file MSProcessorColumns.h.

References typeId_p.

## typeId() [2/2]

const ScalarColumn< Int > & casacore::MSProcessorColumns::typeId | ( |  | ) | const

inline

Definition at line 97 of file MSProcessorColumns.h.

References typeId_p.

## Member Data Documentation

## flagRow_p

ScalarColumn<Bool> casacore::MSProcessorColumns::flagRow_p

private

Definition at line 127 of file MSProcessorColumns.h.

Referenced by flagRow(), flagRow(), and nrow().

## modeId_p

ScalarColumn<Int> casacore::MSProcessorColumns::modeId_p

private

Definition at line 128 of file MSProcessorColumns.h.

Referenced by modeId(), and modeId().

## passId_p

ScalarColumn<Int> casacore::MSProcessorColumns::passId_p

private

Definition at line 133 of file MSProcessorColumns.h.

Referenced by passId(), and passId().

## subType_p

ScalarColumn<String> casacore::MSProcessorColumns::subType_p

private

Definition at line 131 of file MSProcessorColumns.h.

Referenced by subType(), and subType().

## type_p

ScalarColumn<String> casacore::MSProcessorColumns::type_p

private

Definition at line 129 of file MSProcessorColumns.h.

Referenced by type(), and type().

## typeId_p

ScalarColumn<Int> casacore::MSProcessorColumns::typeId_p

private

Definition at line 130 of file MSProcessorColumns.h.

Referenced by typeId(), and typeId().

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSProcessorColumns.h